package com.ym.mec.biz.service;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.ym.mec.biz.dal.dto.IndexBaseDto;
import com.ym.mec.biz.dal.dto.IndexErrorDataExportDto;
import com.ym.mec.biz.dal.entity.IndexBaseMonthData;
import com.ym.mec.biz.dal.entity.IndexErrInfoDto;
import com.ym.mec.biz.dal.enums.IndexDataType;
import com.ym.mec.biz.dal.enums.IndexErrorType;
import com.ym.mec.biz.dal.page.IndexDataQueryInfo;
import com.ym.mec.common.service.BaseService;

public interface IndexBaseMonthDataService extends BaseService<Long, IndexBaseMonthData> {

    List<IndexBaseDto> getIndexBaseData(IndexDataQueryInfo indexDataQueryInfo);

    void indexBaseDataTask(String month, Set<IndexDataType> dataTypes);

    Map<String, Object> getIndexErrData(String organIds, IndexErrorType errorType);

    List<IndexErrorDataExportDto> exportIndexErrData(String organIds, IndexErrorType errorType);

    /**
     * 事项提醒
     * @param organIds
     * @return
     */
    List<IndexErrInfoDto> getRemindMatterData(String organIds);

    /**
     * 是否有提醒事项
     * @param organIds
     * @return
     */
    Map<String,Boolean> hasIndexErrData(String organIds);
}
